=== debian/control ===
Source: ros-indigo-octovis
Section: misc
Priority: extra
Maintainer: Armin Hornung <armin@hornung.io>
Build-Depends: debhelper (>= 9.0.0), cmake, libqglviewer-dev, libqt4-dev, libqt4-opengl-dev, ros-indigo-octomap
Homepage: http://octomap.github.io
Standards-Version: 3.9.2

Package: ros-indigo-octovis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqglviewer2, libqt4-opengl, libqtgui4, ros-indigo-catkin, ros-indigo-octomap
Description: octovis is visualization tool for the OctoMap library based on Qt and libQGLViewer. See http://octomap.github.io for details.
